package com.inkasso.factoring.financingmanagement.entity;

import com.inkasso.adapter.bean.BaseBean;
import com.inkasso.factoring.financingmanagement.entity.vo.ContractElectronicVo;

import java.util.List;

/**
 * @description:合同签署确认
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年8月16日 下午4:04:58
 */
public class ContractSignConfirm extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 合同信息Id
     */
    private Long contractInfoId;

    /**
     * 处理人
     **/
    private Long assigneeId;

    /**
     * 是否显示
     **/
    private Boolean visible;

    /**
     * 结论
     **/
    private String conclusion;

    /**
     * 说明
     **/
    private String remark;

    /**
     * 电子签信息
     */
    private List<ContractElectronicInfo> electronicInfoList;

    /**
     * 电子签信息根据客户分类
     */
    private List<ContractElectronicVo> contractElectronicVos;

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public Long getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Long assigneeId) {
        this.assigneeId = assigneeId;
    }

    public Boolean getVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<ContractElectronicVo> getContractElectronicVos() {
        return contractElectronicVos;
    }

    public void setContractElectronicVos(List<ContractElectronicVo> contractElectronicVos) {
        this.contractElectronicVos = contractElectronicVos;
    }

    public List<ContractElectronicInfo> getElectronicInfoList() {
        return electronicInfoList;
    }

    public void setElectronicInfoList(List<ContractElectronicInfo> electronicInfoList) {
        this.electronicInfoList = electronicInfoList;
    }
}
